package com.hdkj.lt.bf.service;

import com.hdkj.lt.base.model.response.PageVO;
import com.hdkj.lt.bf.entity.FhzgNotice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hdkj.lt.bf.entity.dto.*;
import com.hdkj.lt.bf.entity.vo.NoticeFileListVO;
import com.hdkj.lt.bf.entity.vo.NoticeListVO;
import com.hdkj.lt.bf.entity.vo.NoticeVO;

import java.util.List;

/**
* @author Sunlit
* @description 针对表【fhzg_notice】的数据库操作Service
* @createDate 2025-12-26 10:20:52
*/
public interface FhzgNoticeService extends IService<FhzgNotice> {

    PageVO<NoticeFileListVO> getFileList(NoticeFileListDTO noticeFileListDTO);

    List<AttachmentDTO> getFileTabList();

    PageVO<NoticeListVO> getList(NoticeListDTO noticeListDTO);

    void update(NoticeUpdateDTO noticeUpdateDTO);

    void add(NoticeAddDTO noticeAddDTO);

    NoticeVO getDetailById(Long id);

    void fileUpdate(NoticeUpdateDTO noticeUpdateDTO);

    void fileDown(NoticeUpdateDTO noticeUpdateDTO);

    void delete(NoticeUpdateDTO noticeUpdateDTO);

    void fileDelete(NoticeUpdateDTO noticeUpdateDTO);

    PageVO<NoticeListVO> getNoticeList(NoticeListDTO noticeListDTO);

    void readAll();
}
